> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/cosigners-beta/get-api-key",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get API key

> Get an API key by ID.
**Note:** These endpoints are currently in beta and might be subject to changes.
Endpoint Permission: Admin and Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /cosigners/{cosignerId}/api_keys/{apiKeyId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /cosigners/{cosignerId}/api_keys/{apiKeyId}:
    get:
      tags:
        - Cosigners (Beta)
      summary: Get API key
      description: >-
        Get an API key by ID.

        **Note:** These endpoints are currently in beta and might be subject to
        changes.

        Endpoint Permission: Admin and Non-Signing Admin.
      operationId: getApiKey
      parameters:
        - name: cosignerId
          required: true
          in: path
          description: The unique identifier of the cosigner
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          schema:
            type: string
            format: uuid
        - name: apiKeyId
          required: true
          in: path
          description: The unique identifier of the API key
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          schema:
            type: string
      responses:
        '200':
          description: An ApiKey object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKey'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ApiKey>> =
            fireblocks.cosignersBeta.getApiKey(cosignersBetaApiGetApiKeyRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ApiKey>> response =
            fireblocks.cosignersBeta().getApiKey(cosignerId, apiKeyId);
        - lang: Python
          source: >-
            response = fireblocks.cosigners_beta.get_api_key(cosigner_id,
            api_key_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ApiKey:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the API key
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        lastSeen:
          format: date-time
          type: string
          description: The date the API key was last seen
          example: '2021-07-01T00:00:00.000Z'
        callbackHandler:
          $ref: '#/components/schemas/CallbackHandler'
      required:
        - id
    CallbackHandler:
      type: object
      properties:
        url:
          type: string
          description: The callback handler's URL
          example: https://example.com/callback-handler
        publicKey:
          type: string
          description: The callback handler's public key
          example: |-
            -----BEGIN PUBLIC KEY-----
            ... truncated ...
            -----END PUBLIC KEY-----
        certPublicKeyHash:
          type: string
          description: >-
            A hashed representation of the public key of the callback handler's
            certificate
      required:
        - url
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````